Subject: Re: bug#61514: 30.0.50; sadistically long xml line hangs emacs

From: Eli Zaretskii <[email-masked]>
Date: Mon, 20 Feb 2023 22:01:24 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],  [email-masked]
> Date: Mon, 20 Feb 2023 13:49:49 -0500
> 
> > where I can even reduce the regexp down to "[-._[:alnum:]]*\t*=".
> > Looks like we're missing a case in our backtracking-elimination code.
> 
> The patch below fixes the stack overflow.
> [ And thanks Gregory for the yet simpler test cases.  ]
> 
> I don't think we want that for `emacs-29`, but unless there's some
> objection I'll push this to `master`,

Assuming all the regex-emacs-tests and search-tests pass after this
change, please install on emacs-29, and thanks.